Back to Mobile View

Skip to Content

PwnageTool and QuickPwn for 2.2 released


The dev team has released PwnageTool and QuickPwn for iPhones and first generation iPod touch devices, for those who want to upgrade to firmware 2.2.

Important: If you have a 3G iPhone and you want to unlock it in the near future, you cannot use QuickPwn and must use PwnageTool (currently available for Mac users only). As the dev team explained yesterday, the 2.2 update for the 3G iPhone also upgraded the baseband. In order to achieve a jailbreak and keep future soft-unlock options available, you must use PwnageTool to create a custom .ipsw file that preserves the 2.1 baseband but provides the software functionality of a 2.2 update. Read the entire dev team posting for complete instructions.

Users with first generation iPod touches, 2G (first gen) iPhones, factory unlocked iPhone 3Gs or users who have no desire to soft-unlock their iPhone 3G can use the QuickPwn tool. Neither PwnageTool nor QuickPwn work with the second generation iPod touch. The dev team has already said that its current focus is the 3G unlock and then they will look into working on the new iPod touch.

If you just want to use Installer.app on your 2G or 3G iPhone and don't want to go through the jailbreak process, check out Pusher from RiP Dev. It works with 2.2 and doesn't open the system partition when writing information, making it a potentially safer jailbreak alternative.

Thanks to everyone who sent this in! And thanks Josh for the RiP Dev tip!



The dev team has released PwnageTool and QuickPwn for iPhones and first generation iPod touch devices, for those who want to upgrade to...